include:
  - project: flywheel-io/scientific-solutions/etc/sse-qa-ci
    ref: 723e6e03e79af66a22c98d02c6aefe8837fa2cc8
    file: ci/default.yml

publish:docker:
  tags:
    - large
    - build-cluster-external
    - docker
  extends: .publish:docker

variables:
  PYTEST_COV_FAIL_UNDER: 80
  PYVER: "3.10"
  APT_INSTALL: "build-essential"
  DEBUG: ""  # Set debug mode to print out executed command on qa-ci
  PUBLISH_POETRY: "false"  # Set to true to allow CI to publish package to PYPI
  CACHE_CLEAR: "1"  # Set to true to clear runner cache on gitlab CI
  SECURITY_SCANS_DISABLED: "false"
  DEPENDENCY_SCANNING_DISABLED: "false"
  LICENSE_MANAGEMENT_DISABLED: "false"
  SAST_DISABLED: "false"
  SECRET_DETECTION_DISABLED: "false"
